using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Content.Pipeline;
using Microsoft.Xna.Framework.Content.Pipeline.Graphics;
using Microsoft.Xna.Framework.Content.Pipeline.Processors;
using Microsoft.Xna.Framework.Content.Pipeline.Serialization.Compiler;

namespace CPXMenuImporter
{
    public class CPXMenuContent
    {
        public CPXMenuContent(string content)
        {
            Content = content;
        }

        public string Content;
    }

    [ContentTypeWriter]
    public class CPXMenuTypeWriter : ContentTypeWriter<CPXMenuContent>
    {
        protected override void Write(ContentWriter output, CPXMenuContent value)
        {
            output.Write(value.Content);
        }

        public override string GetRuntimeType(TargetPlatform targetPlatform)
        {
            return "CPXMenu.MenuProject, CPXMenu, Version=1.0.0.0, Culture=neutral";
        }

        public override string GetRuntimeReader(TargetPlatform targetPlatform)
        {
            return "CPXMenu.MenuProjectReader, CPXMenu, Version=1.0.0.0, Culture=neutral";
        }
    }
}
