﻿//======================================================================
//
//	Cross-Platform XNA Menu System
//  http://cpxms.codeplex.com/
//
//  All code and content licensed under Microsoft Public License (Ms-PL)	
//
//======================================================================
//
//	File:		AddNewItem.cs
//
//	Author:		MJP
//
//	Date:		04/13/09
//
//======================================================================

using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using System.Diagnostics;
using System.IO;
using System.Xml.Serialization;
using System.Reflection;
using System.Windows.Forms;

using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;

using CPXMenu;

using CPXMenuEditor.Forms;
using CPXMenuEditor.Controls;

using CPXMenuItem = CPXMenu.MenuItem;
using WFMenuItem = System.Windows.Forms.MenuItem;

namespace CPXMenuEditor.Forms
{
    public partial class AddNewItem : Form
    {
        public Type SelectedType
        {
            get { return itemList.SelectedType; }
        }

        public AddNewItem(CPXMenuItem parent)
        {
            InitializeComponent();

            itemList.InitializeTree(parent);
        }
    }
}
