using System;
using System.Collections.Generic;
using System.IO;
using System.Xml;

using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Content.Pipeline;
using Microsoft.Xna.Framework.Content.Pipeline.Graphics;


namespace CPXMenuImporter
{

    [ContentImporter(".cpxm", DisplayName = "CPXMenu Importer", DefaultProcessor = "CPXMenuProcessor")]
    public class CPXMenuImporter : ContentImporter<string>
    {
        public override string Import(string filename, ContentImporterContext context)
        {
            StreamReader streamReader = File.OpenText(filename);
            return streamReader.ReadToEnd();            
        }
    }
}
